package ejb30.issue;

import java.io.*;
import java.util.*;
import javax.ejb.*;
import javax.persistence.*;
import java.lang.reflect.*;

import com.sun.ejte.ccl.reporter.SimpleReporterAdapter;

public class TestClient {
    
    private static @EJB TestSessionRemote session;
    private static boolean dbgFlag = false;
    
    public TestClient() {
    }
      
       
    public boolean test1() {
        boolean pass=false;
        try {
            pass=session.test1();
        } catch(Throwable e){
            e.printStackTrace();
        }
        return pass;
        
    }


    public static void main(String[] args) {      
	SimpleReporterAdapter stat = new SimpleReporterAdapter("appserver-sqe");   

        String testSuiteID = "test";
        String flag = "dbg";

        if (args.length == 1) {
           testSuiteID=args[0];
        } 

	stat.addDescription(testSuiteID);	   

        TestClient tc = new TestClient();

	boolean result = tc.test1();
	if (result == true)  {
	  stat.addStatus(testSuiteID + "test1", stat.PASS);
	} else {
	  stat.addStatus(testSuiteID + "test1", stat.FAIL);
	}
	stat.printSummary(); 

    }
    
}
